#include <bits/stdc++.h>

using namespace std;
unsigned long long;
int main(){
    long long x,y;
    cin>>x>>y;
    long long a=1,ans=0;
    while(x>0 || y>0){
        if(x%10!=y%10 || x%10==0){
            ans=ans+a*(max(x%10,y%10));
            a*=10;
        }
        else{
            ans=ans+a*11*(x%10);
            a*=100;
        }
        x/=10;
        y/=10;
    }
    cout<<ans;
    return 0;
}